Bug 154276 - krb5 CAN-2005-046{8,9] - buffer overflows
krb5 CAN-2005-046{8,9] - buffer overflows
Status: CLOSED ERRATA
Product: Fedora Legacy
Classification: Retired
Component: krb5 (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
1, LEGACY, rhl73, rhl9
: Security
: 152585 152773 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-08 18:26 EDT by Michal Jaegermann
Modified: 2007-04-18 13:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-24 10:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file modifications (1.71 KB, patch)
2005-04-08 18:26 EDT, Michal Jaegermann
no flags Details | Diff
krb5-1.2.7-tcp3.patch adjusted for 1.2.4 (6.64 KB, patch)
2005-04-08 18:28 EDT, Michal Jaegermann
no flags Details | Diff
krb5-1.2-MITKRB5SA-2005-001.patch in a unified diff format (1.77 KB, patch)
2005-04-08 18:29 EDT, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2005-04-08 18:26:45 EDT
Created attachment 112883 [details]
spec file modifications
Comment 1 Michal Jaegermann 2005-04-08 18:26:45 EDT
Description of problem:

https://rhn.redhat.com/errata/RHSA-2005-330.html

describes two buffer overflows in sources which are rather close to
those in the current Legacy-testing.  It appears that some other issues
are also fixed.  The following patches show up there on the top what is
present in, say, krb5-1.2.4-16.legacy:

krb5-1.2.7-gss-ccache-free.patch
krb5-1.2.7-tcp3.patch
krb5-1.2.7-stdarg.patch
krb5-1.2-MITKRB5SA-2005-001.patch
krb5-1.2.7-endiansize.patch

A patch krb5-1.2.7-tcp3.patch applies with sizeable offsets and
krb5-1.2-MITKRB5SA-2005-001.patch is in a form (probably mangled a bit by
mail) which is not acceptable to 'patch' utility from at least RH7.3.
Therefore attaches are reworked versions of these two patches and a diff
to a spec from krb5-1.2.4-16.legacy.  Some modification to make that closer
to a spec file from RHEL are also included.

The remaining three patches do not need any adjustments before application.
Comment 2 Michal Jaegermann 2005-04-08 18:28:03 EDT
Created attachment 112884 [details]
krb5-1.2.7-tcp3.patch adjusted for 1.2.4
Comment 3 Michal Jaegermann 2005-04-08 18:29:10 EDT
Created attachment 112885 [details]
krb5-1.2-MITKRB5SA-2005-001.patch in a unified diff format
Comment 4 Marc Deslauriers 2005-04-11 20:10:22 EDT
*** Bug 152585 has been marked as a duplicate of this bug. ***
Comment 5 Matthew Miller 2005-04-12 19:43:40 EDT
Fedora Core 2 was already updated for this, by the way.
Comment 6 Michal Jaegermann 2005-04-12 22:04:32 EDT
ftp://ftp.harddata.com/pub/Legacy_srpms/krb5-1.2.4-16.mj.src.rpm
is a srpm for RH7.3 patched in a way described in this report.
Comment 7 Pekka Savola 2005-05-01 03:04:25 EDT
I guess this applies to RHL9 and FC1 as well..
Comment 8 Pekka Savola 2005-05-11 05:00:12 EDT
I didn't include the other patches, because they seemed more like
bugfixes/enhancements (like the tcp3 one), rather than security fixes.

If there is consensus to include them (in the interest of getting closer to RHEL
versions), that would be OK by me.
Comment 9 Pekka Savola 2005-06-07 03:48:03 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
No discussion seems to have taken place, so here are new RPMs which
fix CAN-2005-0468 & CAN-2005-0469.  These do not include any
other (non-security) patches from RHEL.  FC2 was already fixed.
 
http://staff.csc.fi/psavola/fl/krb5-1.2.4-16.1.legacy.src.rpm (RHL73)
http://staff.csc.fi/psavola/fl/krb5-1.2.7-38.3.legacy.src.rpm (RHL9)
http://staff.csc.fi/psavola/fl/krb5-1.3.4-5.3.legacy.src.rpm (FC1)
 
fc5363d0cf47f379c4df032871d6fca09db51cbf  krb5-1.2.4-16.1.legacy.src.rpm
dd2bb6e3c1e2c45631b59bd294fc25e2e1e044c7  krb5-1.2.7-38.3.legacy.src.rpm
3fc1e78ea65c0100c05ee1340faf80eb04b190a5  krb5-1.3.4-5.3.legacy.src.rpm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)
 
iD8DBQFCpVCpGHbTkzxSL7QRAneWAKCd8RGk0Ku8W10DpR+stiBV55avpACgingD
4ipRXswSZ8VqxsP/nNd1+aE=
=3eYF
-----END PGP SIGNATURE-----
Comment 10 Matthew Miller 2005-06-08 14:25:18 EDT
Was there an earlier legacy krb5 release for rhl9? The latest I can find in the
mirror is krb5-1.2.7-14, with no post-RH changes.
Comment 11 Pekka Savola 2005-06-08 14:47:23 EDT
Nothing has been officially released by FL, but my updates are based on those in
updates-testing, developed in PR 152773.
Comment 12 Matthew Miller 2005-06-08 14:49:24 EDT
Okay, thanks. Will look at bug #152773 again.
Comment 13 Donald Maner 2005-06-16 23:15:50 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I did QA on the RHL73, RH9, and FC1 packages.

fc5363d0cf47f379c4df032871d6fca09db51cbf  krb5-1.2.4-16.1.legacy.src.rpm
dd2bb6e3c1e2c45631b59bd294fc25e2e1e044c7  krb5-1.2.7-38.3.legacy.src.rpm
3fc1e78ea65c0100c05ee1340faf80eb04b190a5  krb5-1.3.4-5.3.legacy.src.rpm

I compared sha1sums of the individual files in each .src.rpm to the prevously
released FedoraLegacy update, and they all match.

Patch is as expected.

Specfile changes are to package version, addition of new patch, and changelog.

+PUBLISH RH73,RH9,FC1

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (MingW32)

iD8DBQFCsj+hTnwK660bsQMRAjKHAJ4w7A6N26djaFqXD+9l06D6rATkrwCgoa2S
Vg/VgP8gVVSrGm7nMhj/Guo=
=Zl3L
-----END PGP SIGNATURE-----
Comment 14 Pekka Savola 2005-06-17 03:04:27 EDT
*** Bug 152773 has been marked as a duplicate of this bug. ***
Comment 15 Marc Deslauriers 2005-06-19 11:16:38 EDT
Packages were pushed to updates-testing
Comment 16 Eric Jon Rostetter 2005-07-07 17:07:01 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
++VERIFY for RHL 9
++VERIFY for RHL 7.3
 
RHL 9 Packages:
krb5-devel-1.2.7-38.3.legacy.i386.rpm
krb5-libs-1.2.7-38.3.legacy.i386.rpm
krb5-server-1.2.7-38.3.legacy.i386.rpm
krb5-workstation-1.2.7-38.3.legacy.i386.rpm
 
RHL 7.3 Packages:
krb5-devel-1.2.4-16.1.legacy.i386.rpm
krb5-libs-1.2.4-16.1.legacy.i386.rpm
krb5-server-1.2.4-16.1.legacy.i386.rpm
krb5-workstation-1.2.4-16.1.legacy.i386.rpm
 
SHA1 checksums all match test update advisory.  Signatures verify okay.
 
I installed, removed (except for krb5-libs), and re-installed all the
updates on a RHL 9 machine and a RHL 7.3 machine without problem.  Did
not notice any problems or issues on either machine.  NOTE: I did not test
any kerberos functionality as I don't use kerberos here.  I only tested that
installing, removing, and re-installing all worked without any noticed
problems or issues.
 
Vote for release for RHL 9 and RHL 7.3. ++VERIFY
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)
 
iD8DBQFCzZj44jZRbknHoPIRAmEwAJ9F0k84bFcpTy4PfINqTJQ3p7wioACgtYSh
jlnTyQbllPx/jOXx5v1VROA=
=Ol3V
-----END PGP SIGNATURE-----
Comment 17 Pekka Savola 2005-07-08 00:39:30 EDT
Thanks.  Timeouts in two weeks.
Comment 18 Jim Popovitch 2005-07-10 18:19:56 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

++VERIFY RHL 7.3

5b8e4296a97f8ac0b5fb38fb634226216fc7a7bc  krb5-libs-1.2.4-16.legacy.i386.rpm

- -Jim P.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC0Z83MyG7U7lo69MRAsXRAJoCWKzwcK2CMUAJ9z9mcUugtfrJZwCghD0h
0VyEy2tQT0Za42GHJdXWsH0=
=UILR
Comment 19 Pekka Savola 2005-07-23 11:40:12 EDT
Timeout over.
Comment 20 Marc Deslauriers 2005-07-24 10:53:56 EDT
These have been officially released.

Note You need to log in before you can comment on or make changes to this bug.